<template lang="pug">
	div(:class="{ active: typeof error === 'string' }").wrapper
		| {{ error }}
</template>

<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
	props: {
		error: {
			type: String,
			default: null,
			required: false,
		},
	},
});
</script>

<style lang="scss" scoped>
@import "@/assets/style/_colors.scss";

.wrapper {
	padding: 0 12px;
	text-align: right;
	margin-bottom: 10px;
	height: 0;
	transition: height 50ms linear, color 250ms linear;
	color: white;
	&.active {
		color: $warn-txt-color;
		height: 1em;
	}
}

</style>
